#ifndef FLOATSLIDERPLUSIMPL_H
#define FLOATSLIDERPLUSIMPL_H

#include <ui_floatSliderPlus.Qt4.h>
#include <qlineedit.h>

class FloatSliderPlus: public QWidget, public Ui::floatSliderPlus
{
	Q_OBJECT

	public:
		FloatSliderPlus(QWidget* parent = 0) ;

		virtual bool setProperty(const char *name,const QVariant& value) ;
		virtual float value() const { return valueField->text().toFloat() ; }

	public slots:
		// slots pour la mise a jour depuis l'exterieur.

		virtual void setValue(float) ;
		virtual void setValue(const QString&) ;
		
	signals:
		void valueChanged(float) ;

	protected:
		float min,max ;
		bool logarithmic ;
		unsigned int N ;
		bool stuck ;

	protected slots:
		void UpdateFromSlider(int) ;
		void UpdateFromTextField(const QString&) ;
};

#endif
